


( function ( wp ) {
  var ManagerForIcomoonCustomButton = function ( props ) {
    return wp.element.createElement( wp.editor.RichTextToolbarButton, {
      icon: 'flag',
      title: 'Manager for Icomoon',
      onClick: function () {
        var m4iModal =  document.getElementById('managerforicomoon-modal');
        if (m4iModal == null){
            var m4iModal = document.createElement("div");
            var m4iModalContainer = document.createElement("div");
            var m4iModalContent = document.createElement("div");
            m4iModal.setAttribute("id", "managerforicomoon-modal");
            m4iModalContainer.setAttribute("class","managerforicomoon-modal-container");
            m4iModalContent.setAttribute("class","managerforicomoon-modal-content");
            m4iModalContainer.appendChild(m4iModalContent);
            m4iModal.appendChild(m4iModalContainer);
            document.body.appendChild(m4iModal);

            var xhr = jQuery.ajax({
                url: managerforicomoon.ajaxurl,
                method: 'post',
                data: {
                    action: 'm4i_gutenberg_modal'
                },
                success: function(response){
                    jQuery('#managerforicomoon-modal .managerforicomoon-modal-content').html(response);
                    jQuery('#managerforicomoon-modal').fadeIn();
                }
            });
        } else {
            jQuery('#managerforicomoon-modal').fadeIn();
        }

      },
  } );
  };
  wp.richText.registerFormatType( 'managerforicomoon/insert-icon', {
      title: 'Manager for Icomoon',
      tagName: 'samp',
      className: null,
      edit: ManagerForIcomoonCustomButton,
  } );
} )( window.wp );
